Subject: RE: upgrading broke cygwin?
From: "Val Schmidt" <[email-masked]>
To: <[email-masked]>
Cc: "'Elfyn McBratney'" <[email-masked]>
Date: Mon, 24 Feb 2003 16:56:05 -0500

This was 1.3.19.

However I've got two systems running cygwin and the other still has 1.3.20.
My home directory on the 1.3.20 system is below, with some errors I also get
with the 1.3.20 when my bash prompt cranks up:

[And yes, I have a two word username here (dumb), is that really likely to
be the cause of the problem?]

-Val

BEGIN INFO:

/usr/share/texmf/web2c/texmf.cnf: Permission denied
/usr/share/texmf/web2c/texmf.cnf: Permission denied
/usr/share/texmf/web2c/texmf.cnf: Permission denied
/usr/share/texmf/ls-R: Permission denied
/usr/share/texmf/aliases: Permission denied

Val Schmidt@hobbs ~
$ ls -l
total 7
lrwxrwxrwx    1 Val Schm None          101 Dec 13 14:41 Val ->
/cygdrive/f/Val/
-rw-rw-rw-    1 Val Schm None           58 Feb 13 14:19 WxDataISAPI.dll
-rwxrwx---+   1 Administ Administ      146 Sep 17 09:56 datawriter.pl*
drwxrwx---+   2 Administ Administ        0 Nov 19 19:27 docbook-xml-4.2/
drwxrwx---+   2 Administ Administ        0 Nov 19 19:27 ent/
-rwx------+   1 Val Schm None         3189 Feb 13 13:44 httpget1.txt*
drwxrwx---+   7 Administ Administ        0 Nov 19 18:37 mb-cookbook/
-rw-rw-rw-    1 Val Schm None          372 Jan 27 12:13 or1-securitynotes
drwx------+   3 Val Schm None            0 Feb 19 17:52 tmp/
drwxrwxrwx+   2 Val Schm None            0 Jan  2 11:19 tunnel_scripts/

 

> -----Original Message-----
> From: Igor Pechtchanski [mailto:[email-masked]]
> Sent: Monday, February 24, 2003 9:48 AM
> To: Val Schmidt
> Cc: 'Elfyn McBratney'; [email-masked]
> Subject: Re: upgrading broke cygwin?
> 
> Val,
> 
> Is the below ls output with Cygwin-1.3.19 or 1.3.20?  Also, what's the
> value of your CYGWIN environment variable?
> 
> You might also want to change your username in /etc/passwd to something
> with no space.  It probably isn't related to your current problem, but
> some tools, especially shell scripts, cannot handle usernames with spaces
> properly.  Same goes for your home directory - just rename it to, say,
> /home/Val_Schmidt and change the appropriate /etc/passwd entry.  You don't
> need to change your Windows user name, just the /etc/passwd entry.  Be
> careful to leave the SID part of the entry intact.  Note that this change
> *will* affect inetd and sshd if you use them.
> 	Igor
> 
> On Mon, 24 Feb 2003, Val Schmidt wrote:
> 
> > I appreciate the help.
> >
> > It's not clear to me why either mkpasswd or mkgroup in my home directory
> > would cause the effects I and others have been seeing with the latest
> > version of cygwin.
> >
> > At any rate, here's the results of my ls -al on my home directory.  No
> > mkpasswd or mkgroup.
> >
> > -Val
> >
> > $ ls -al
> > total 11492
> > drwxrwxr-x+  15 Administ Administ        0 Feb 23 14:33 ./
> > drwxrwxr-x+   3 Administ Administ        0 Jan 28 15:40 ../
> > -rw-rw----    1 Administ Administ     4518 Feb 21 16:57 .bash_history
> > -rw-r--r--    1 Val Schm None          596 Feb 20 15:54 .bash_profile
> > -rw-rw-rw-    1 Val Schm None          587 Feb 23 14:33 .bashrc
> > drwxrwxrwx+   3 Val Schm None            0 Nov 22 13:37 .emacs.d/
> > -rw-rw-rw-    1 Val Schm None            0 Feb 20 14:39 .gmtcommands
> > -rw-rw-rw-    1 Val Schm None          356 Feb 19 16:27 .inputrc
> > drwxr-xr-x+   2 Val Schm None            0 Jan 30 10:13 .ncftp/
> > -rw-------    1 Val Schm None         6061 Feb 23 17:45 .octave_hist
> > -rw-r--r--    1 Val Schm None          216 Nov 22 13:30 .profile
> > drwxrwx---+   2 Administ Administ        0 Jan 14 11:10 .ssh/
> > -rwxrw-rw-    1 Val Schm None           43 Dec 13 11:59 .tunnel*
> > -rw-rw-r--    1 Val Schm None          664 Jan 20 10:13 .xinitrc
> > drwxrwxrwx+   4 Val Schm None            0 Jan 20 17:15 hiro/
> > drwxr-xr-x+   2 Val Schm None            0 Nov 21 17:42 kermit/
> > lrwxrwxrwx    1 Val Schm None          191 Dec 13 14:44 mydocs ->
> /cygdrive/c/Documents and Settings/Val Schmidt/My Documents//
> > drwxrwxrwx+   6 Val Schm None            0 Feb 23 15:26 octave/
> > -rwxrwx---+   2 Administ SYSTEM    4194372 Feb 17 13:26 pfirewall.log*
> > drwxrwxrwx+   2 Val Schm None            0 Dec 19 15:41 plotscripts/
> > drwxrwxrwx+   3 Val Schm None            0 Jan 20 16:26 projects/
> > drwxrwxr-x+   6 Administ Administ        0 Jan 28 15:13 rsync-scripts/
> > -rwxrwxr-x    1 Administ Administ      504 Oct 15 10:55
> ssh.exe.stackdump*
> > -rw-rw-rw-    1 Val Schm None         2202 Dec 12 13:31 sshd-cygwin
> > -rw-rw-rw-    1 Val Schm None         1982 Dec 12 13:18 sshd-cygwin~
> > drwxrwsr-x+   4 Val Schm None            0 Feb 17 11:24 testing/
> > drwxrwxrwx+   2 Val Schm None            0 Feb 23 18:03 tmp/
> > drwxrwxrwx+   2 Val Schm None            0 Feb  3 17:09 tunnel_scripts/
> > drwxrwxrwx+   2 Val Schm None            0 Feb  3 16:34 unison-scripts/
> > -rw-rw-rw-    1 Val Schm None          102 Feb  5 13:48 unison.cmd
> > -rw-r--r--    1 Val Schm None      7546969 Feb 17 15:20 waas.d226
> >
> > ________________________________________________
> > Val Schmidt
> > Lamont Doherty Earth Observatory of Columbia University
> > 61 Route 9W
> > Palisades, NY 10964
> > m: 614 286 3726
> >
> > > -----Original Message-----
> > > From: Elfyn McBratney [mailto:[email-masked]]
> > > Sent: Saturday, February 22, 2003 12:20 PM
> > > To: cygwin; Val Schmidt
> > > Subject: Re: Re: upgrading broke cygwin?
> > >
> > > > I upgraded to the 1.3.20-1 version dll today and saw very similar
> > > > and strange behavior.  Some things wouldn't execute due to
> > > > permissions errors, and other would execute from commandline but not
> > > > from a script.  What causes this, I don't know.
> > > >
> > > > I ran setup.exe again, found the "base" cygwin install, cycled
> > > > through the keep/uninstall/revert until 1.9-19 version came up, and
> > > > installed the older version.  Everything seems to be working fine
> > > > now.
> > > >
> > > > I wish I could help with what's broke, but I don't have a clue.
> > > >
> > > > There's a recent remark in the list that's there's no way to
> > > > uninstall - the procedure above seems to work just fine.
> > >
> > > What is the output of `ls -al /path/to/your/homedir' . I'm thinking
> > > that it will contain eother mkpasswd or mkgroup.
> > >
> > > Elfyn McBratney
> 
> --
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> Oh, boy, virtual memory! Now I'm gonna make myself a really *big* RAMdisk!
>   -- /usr/games/fortune

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/